<!-- Newsletters Subscribers Settings -->
<table class="form-table">
	<tbody>
		<tr>
			<th><label for="newsletters_checkbox_Y"><?php _e('Subscribe Checkbox', $this -> plugin_name); ?></label>
			<?php echo $wpcoHtml -> help(__('Enable or disable the subscribe checkbox. Once enabled, you can further configure the integration.', $this -> plugin_name)); ?></th>
			<td>
				<label><input onclick="jQuery('#newsletters_checkbox_div').show();" <?php echo ($this -> get_option('newsletters_checkbox') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="newsletters_checkbox" value="Y" id="newsletters_checkbox_Y" /> <?php _e('Enable', $this -> plugin_name); ?></label>
				<label><input onclick="jQuery('#newsletters_checkbox_div').hide();" <?php echo ($this -> get_option('newsletters_checkbox') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="newsletters_checkbox" value="N" id="newsletters_checkbox_N" /> <?php _e('Disable', $this -> plugin_name); ?></label>
				<span class="howto"><?php _e('Enable/disable the subscribe checkbox during the checkout procedure.', $this -> plugin_name); ?></span>
			</td>
		</tr>
	</tbody>
</table>

<div id="newsletters_checkbox_div" style="display:<?php echo ($this -> get_option('newsletters_checkbox') == "Y") ? 'block' : 'none'; ?>;">
	<table class="form-table">
		<tbody>
			<tr>
				<th><label for="newsletters_checkboxlabel"><?php _e('Checkbox Label', $this -> plugin_name); ?></label>
				<?php echo $wpcoHtml -> help(__('This text is the caption/label which will show next to the checkbox to your customers.', $this -> plugin_name)); ?></th>
				<td>
					<input type="text" name="newsletters_checkboxlabel" value="<?php echo esc_attr(stripslashes($this -> get_option('newsletters_checkboxlabel'))); ?>" id="newsletters_checkboxlabel" class="widefat" />
					<span class="howto"><?php _e('Text to show next to the checkbox.', $this -> plugin_name); ?></span>
				</td>
			</tr>
			<tr>
				<th><label for="newsletters_checkboxautocheck_N"><?php _e('Auto Check', $this -> plugin_name); ?></label>
				<?php echo $wpcoHtml -> help(__('You can pre-check the checkbox by selecting "Yes" then the customer will not have to tick it. It is recommended to leave this unchecked so that the customer can make the choice.', $this -> plugin_name)); ?></th>
				<td>
					<label><input <?php echo ($this -> get_option('newsletters_checkboxautocheck') == "Y") ? 'checked="checked"' : ''; ?> type="radio" name="newsletters_checkboxautocheck" value="Y" id="newsletters_checkboxautocheck_Y" /> <?php _e('Yes', $this -> plugin_name); ?></label>
					<label><input <?php echo ($this -> get_option('newsletters_checkboxautocheck') == "N") ? 'checked="checked"' : ''; ?> type="radio" name="newsletters_checkboxautocheck" value="N" id="newsletters_checkboxautocheck_N" /> <?php _e('No', $this -> plugin_name); ?></label>
					<span class="howto"><?php _e('Should the checkbox be pre-checked?', $this -> plugin_name); ?></span>
				</td>
			</tr>
			<tr>
				<th><label for="mailinglistscheckall"><?php _e('Mailing List(s)', $this -> plugin_name); ?></label>
				<?php echo $wpcoHtml -> help(__('Choose the mailing list(s) to which the customers will be subscribed to if the checkbox was checked and they continue.', $this -> plugin_name)); ?></th>
				<td>
					<?php $newsletters_mailinglists = $this -> get_option('newsletters_mailinglists'); ?>
					<?php if ($mailinglists = wpml_get_mailinglists()) : ?>
						<label style="font-weight:bold;"><input onclick="jqCheckAll(this, false, 'newsletters_mailinglists');" type="checkbox" name="mailinglistscheckall" value="1" id="mailinglistscheckall" /> <?php _e('Select All', $this -> plugin_name); ?></label><br/>
						<?php foreach ($mailinglists as $mailinglist) : ?>
							<label><input <?php echo (!empty($newsletters_mailinglists) && in_array($mailinglist -> id, $newsletters_mailinglists)) ? 'checked="checked"' : ''; ?> type="checkbox" name="newsletters_mailinglists[]" value="<?php echo $mailinglist -> id; ?>" id="newsletters_mailinglists_<?php echo $mailinglist -> id; ?>" /> <?php echo __($mailinglist -> title); ?></label><br/>
						<?php endforeach; ?>
					<?php else : ?>
						<p class="<?php echo $this -> pre; ?>error"><?php _e('No mailing lists are available.', $this -> plugin_name); ?></p>
					<?php endif; ?>
					<span class="howto"><?php _e('Which mailing list(s) should customers be subscribed to?', $this -> plugin_name); ?></span>
				</td>
			</tr>
		</tbody>
	</table>
</div>